Mono.Posix 1.0.5000.0 2.0.0.0 4.0.0.0 This type is safe for multithreaded operations. System.Object Provides the current settings for, and information about, the execution environment.

Use this class to retrieve the following information:

User and Group information
Session creation
Process group creation
Configuration value lookup
Supplementary group information
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 Create a new session. A containing the return value of the call. This can be ignored, since it will be translated into an exception if it's an error anyway.

  This method creates a new session. The calling process is the session leader of the new session, is the process group leader of a new process group and has no controlling terminal. The calling process is the only process in either the session or the process group.

  The calling process is already a process group leader, or the process group ID of a process other than the calling process matches the process ID of the calling process. []

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String Gets or sets the current directory of the process. A containing the current directory of the process.

  The argument is permitted to specify relative or absolute path information. Relative path information is interpreted as relative to the current working directory. To obtain the current working directory, see .

  Permission to read or search a component of the current working directory was denied. [] The current working directory has been unlinked. []
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixGroupInfo Gets information about the effective group of the process. A containing information about the effective group of the process.

  The gives the process additional permissions during the execution of mode processes.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 Gets the effective group ID of the process. A containing nthe effective group ID of the process.

  The gives the process additional permissions during the execution of mode processes.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixUserInfo Gets information about the effective user of the process. A containing information about the effective user of the process.

  The gives the process additional permissions during execution of mode processes.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 Gets the effective user ID of the process. A containing the effective user ID of the process.

  The gives the process additional permissions during execution of mode processes.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.String `` A value containing the configuration value to retrieve. Retrieve the value of the configuration value . A containing the value of the configuration variable .

  The value of the argument is invalid. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Int64 `` A value containing the configurable system limit or option variable to lookup. Retrieve the value of the configurable system limit or option value . A containing the value of the configurable system limit or option value .

  This method provides a way for applications to determine the current value of a configurable system limit or option variable. The argument specifies the system variable to be queried.

  The value of the argument is invalid. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixProcess Gets information about the parent process. A instance containing information about the parent process.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 Gets the process ID of the parent process. A containing the process ID of the parent process.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 Gets the process group ID of the current process. A containing the process group ID of the current process.

  Process groups are used for distribution of signals, and by terminals to arbitrate requests for their input: processes that have the same process group as the terminal are foreground and may read, while others will block with a signal if they attempt to read.

  This system call is thus used by programs such as csh(1) to create process groups in implementing job control. The () and () calls are used to get/set the process group of the control terminal.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64[] Gets the current group access list. A array containing the group access list of the current process.

  The group access list is a list of groups which the current process belongs to. These groups are used for file access checks when the is not the file's ; each of the supplementary groups is checked against to see if group access applies, before using the "other" .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixGroupInfo[] Gets the current group access list. A array containing information about the group access list of the current process.

  The group access list is a list of groups which the current process belongs to. These groups are used for file access checks when the is not the file's ; each of the supplementary groups is checked against to see if group access applies, before using the "other" .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String[] Gets all user shells. A array containing all user shells on the system.

  A user shell is defined by the system manager in the shells database as described in shells(5) (frequently the file /etc/shells). If the shells database is not available, then this returns an array containing the elements /bin/sh and /bin/csh.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String Gets the login name. A containing the login name of the user executing the process.

  This is identical to .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String Gets or sets the machine name of the machine the process is running on. A containing the machine name.

  Only the super-user can change the machine name.

  The caller tried to set the host name and was not the super-user. []

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixGroupInfo Gets information about the real group of the process. A containing information about the real group of the process.

  The real group is the group of the user who invoked the program.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 Gets the real group ID of the process. A containing the real group ID of the process.

  The real group ID is the group of the user who invoked the program.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.UnixUserInfo Gets information about the real user of the process. A containing information about the real user of the process.

  The real user is the user who invoked the program.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 Gets the real user ID of the process. A containing the real user ID of the process.

  The real user ID is that of the user who invoked the program.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` A containing the value to add to the current process' nice value. Subtraces from the process' priority.

  The process' nice value is a value subtraced from the process' priority. The higher the value of , the lower the priority of the process

  is negative but the caller is not the super-user. []
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void Set the process group of the current process.

  If the affected process is not the invoking process, then it must be a child of the invoking process, and both processes must be in the same session.

  The target process is a session leader. []

  The target process is not the calling process or a child of the calling process. []

  -or-

  The requested process is a child of the calling process, but it has performed an (3) operation. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` A array containing the new group access list. Set the group access list of the current process.

  Only the super-user may set new groups.

  The group access list is a list of groups which the current process belongs to. These groups are used for file access checks when the is not the file's ; each of the supplementary groups is checked against to see if group access applies, before using the "other" .

  The caller is not the super-user. []

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` A array containing the new group access list. Set the group access list of the current process.

  Only the super-user may set new groups.

  The group access list is a list of groups which the current process belongs to. These groups are used for file access checks when the is not the file's ; each of the supplementary groups is checked against to see if group access applies, before using the "other" .

  The caller is not the super-user. []

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String Gets the user name of the user executing the process. A containing the username of the user executing the process.

  This is the username of the real user id.

  This is equivalent to calling ..